lvm2 (2.03.31-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 13:40:38 +0000

lvm2 (2.03.31-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2115633). Remaining changes:
    - d/.gitignore deleted
    - d/initramfs-tools/lvm2/scripts/init-bottom/lvm2
      We cannot properly synthesize LVM LV change events with udevadm trigger,
      so if we use LVM, we need to let it finish; otherwise we get missing
      LV symlinks
    - d/lvm2.initramfs-hook
      depend on udev since we ship udev rules
    - d/control and d/rules do not build udeb target
    - d/rules
      + Copy .po file to .pot file for Rosetta (Ubuntu specific)
    - d/control
      + add thin-provisioning-tools build-dep as configure wants it
        around for some checks at build time.
      + Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
        breaks the circular dependency that causes upgrade failures. As dmsetup
        is "Priority: required", this has no other practical consequences.
        (Debian #586424)
    - d/patches
      + enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
      + 0014-no-lvm2-monitor-in-containers.patch: 
        Do not start lvm2-monitor in containers (LP #1576341)

 -- John Chittum <john.chittum@canonical.com>  Wed, 25 Jun 2025 13:59:23 -0400

lvm2 (2.03.31-2) unstable; urgency=medium

  * Ask build system to install stuff writable. (closes: #1104357)

 -- Bastian Blank <waldi@debian.org>  Mon, 05 May 2025 20:14:18 +0200

lvm2 (2.03.31-1) unstable; urgency=medium

  * New upstream release.

  [ Luke W Faraone ]
  * Include lvresize_fs_helper (Closes: #1068733)

 -- Bastian Blank <waldi@debian.org>  Mon, 03 Mar 2025 22:04:46 +0100

lvm2 (2.03.27-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2097540). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
  * Dropped changes fixed upstream:
    - Apply upstream patch (trimmed) to fix FTBFS with autoconf 2.72 (ensures
      @EGREP@ and @GREP@ get substituted with their path). (LP #2083302)
      + d/p/autoconf-2.72-grep-egrep.patch
    - Cherry-pick upstream change for libdm returning wrong error code when
      dm-verity key cannot be found (LP #2054620) (included in >= 2.03.24)
    - initramfs-tools hook: Combine calls to manual_add_modules (LP #2065180)
      + This is no longer needed since initramfs-tools 0.143. Plucky has
        initramfs-tools 0.145.
      + https://salsa.debian.org/kernel-team/initramfs-tools/-/merge_requests/114

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 06 Feb 2025 13:40:22 +0100

lvm2 (2.03.27-1) unstable; urgency=medium

  * New upstream release.

  [ Guillem Jover ]
  * Turn initramfs hooks into debhelper fragment files.
  * Remove imperative activation of update-initramfs trigger.
  * Perform full /usr-move on all absolute paths.

 -- Bastian Blank <waldi@debian.org>  Mon, 04 Nov 2024 10:06:21 +0100

lvm2 (2.03.22-1ubuntu2) oracular; urgency=medium

  * Apply upstream patch (trimmed) to fix FTBFS with autoconf 2.72 (ensures
    @EGREP@ and @GREP@ get substituted with their path). (LP: #2083302)
    - d/p/autoconf-2.72-grep-egrep.patch

 -- Olivier Gayot <olivier.gayot@canonical.com>  Mon, 30 Sep 2024 22:41:42 +0200

lvm2 (2.03.22-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
    - Cherry-pick upstream change for libdm returning wrong error code when
      dm-verity key cannot be found (LP: #2054620) (included in >= 2.03.24)
    - initramfs-tools hook: Combine calls to manual_add_modules (LP: #2065180)
  * Dropped changes fixed upstream:
    - Fix patch of systemd-run in 69-lvm-metad.rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jul 2024 10:27:13 +0200

lvm2 (2.03.22-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Sat, 24 Feb 2024 16:41:00 +0100

lvm2 (2.03.16-3ubuntu4) oracular; urgency=medium

  * initramfs-tools hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 May 2024 09:42:08 +0200

lvm2 (2.03.16-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:03:58 +0000

lvm2 (2.03.16-3ubuntu2) noble; urgency=medium

  [ Luca Boccassi ]
  * Cherry-pick upstream change for libdm returning wrong error code when
    dm-verity key cannot be found (LP: #2054620)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 19:53:11 +0100

lvm2 (2.03.16-3ubuntu1) noble; urgency=medium

  * Merge from Debian unstable (LP: #2054683). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.

 -- Dave Jones <dave.jones@canonical.com>  Thu, 22 Feb 2024 10:28:18 +0000

lvm2 (2.03.16-3) unstable; urgency=medium

  * Remove obsolete dependency on lsb-base.
  * Expect systemd relates files in /usr. (closes: #1052666)
  * Move all remaining files to /usr.

 -- Bastian Blank <waldi@debian.org>  Sat, 06 Jan 2024 18:47:24 +0100

lvm2 (2.03.16-2ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2020464). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 May 2023 11:20:09 +0100

lvm2 (2.03.16-2) unstable; urgency=medium

  * Remove remaining unused init scripts.
  * Call update-initramfs trigger directly.

 -- Bastian Blank <waldi@debian.org>  Wed, 19 Oct 2022 21:37:31 +0200

lvm2 (2.03.16-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1987340). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP: #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
    - Don't build udeb targets.
  * Removed obsolete patches/changes:
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Removed patches obsoleted/merged by upstream:
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 22 Aug 2022 21:35:55 +0100

lvm2 (2.03.16-1) unstable; urgency=medium

  * New upstream release.
  * Disable systemd usage in udeb. (closes: #1015174)

 -- Bastian Blank <waldi@debian.org>  Tue, 26 Jul 2022 20:46:14 +0200

lvm2 (2.03.15-2) unstable; urgency=medium

  * Actually fix filename in lvm2 initamfs-tools integration, fixing
    installation error. (closes: #1014314)

 -- Bastian Blank <waldi@debian.org>  Mon, 04 Jul 2022 20:11:20 +0200

lvm2 (2.03.15-1) unstable; urgency=medium

  * New upstream release.
  * Remove traces of systemd generator.
  * Fix installation of lvmdbusd.
  * Support new udev activation without systemd.

 -- Bastian Blank <waldi@debian.org>  Sun, 03 Jul 2022 20:09:13 +0200

lvm2 (2.03.11-2.1ubuntu4) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:06:22 +0000

lvm2 (2.03.11-2.1ubuntu3) impish; urgency=medium

  * Fix-up noudeb build profile support.
  * Define PYTHON_PREFIX in make.tmpl.in for new ax-python.
  * Fixes FTBFS in impish.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Oct 2021 10:31:36 +0100

lvm2 (2.03.11-2.1ubuntu2) impish; urgency=medium

  * Don't build udeb targets.
  * Work around an installation issue about installing python files into
    lib/python* instead of usr/lib/python*.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Oct 2021 10:49:59 +0200

lvm2 (2.03.11-2.1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Closes: #586424, LP: #1032823)
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs (Debian
      #504341).
      - Ship correct udev rules in lvm2-udeb package.
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)
    - Disable lto build. Other distros build it with lto, however Debian has
      an old work around from 2015 for an ABI break. See #791888.
  * Removed obsolete patches/changes:
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115) (mountroot failure hooks
      removed in last initramfs-tools merge)
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available. (removed previously, but erroneously noted)
    - Add udev-prefix spec to udeb build (erroneous addition)
  * Removed patches obsoleted/merged by upstream:
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 May 2021 18:35:39 +0100

lvm2 (2.03.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix path to sort in blkdeactivate. (closes: #946882)

 -- Ivo De Decker <ivodd@debian.org>  Mon, 22 Feb 2021 21:39:14 +0000

lvm2 (2.03.11-2ubuntu4) hirsute; urgency=medium

  * Disable lto build. Other distros build it with lto, however Debian has
    an old work around from 2015 for an ABI break. See #791888.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 12:36:07 +0100

lvm2 (2.03.11-2ubuntu3) hirsute; urgency=medium

  * Fix file mode of debian/initramfs-tools/lvm2/hooks/lvm2 (LP: #1915579)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 04 Mar 2021 11:00:58 +0100

lvm2 (2.03.11-2ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:19 +0100

lvm2 (2.03.11-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available.
    - Ship correct udev rules in lvm2-udeb package.
    - d/control: add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
  * Dropped changes, included upstream:
    - Include raid1 in the list of modules installed by the initramfs hook
    - Detect systemd in udev rule at runtime:
      debian/patches/Detect-systemd-at-run-time-in-69-dm-lvm-metad.rules.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 09 Feb 2021 11:55:15 +0100

lvm2 (2.03.11-2) unstable; urgency=medium

  * Make sure lvmlockd can use sd notify. (closes: #980225)

 -- Bastian Blank <waldi@debian.org>  Sat, 16 Jan 2021 21:51:13 +0100

lvm2 (2.03.11-1) unstable; urgency=medium

  * New upstream release.
  * Use libedit instead of old readline. (closes: #966152)
  * Drop dev symlink to internal lib for good. (closes: #857954)
  * Fix watch file and signing key. (closes: #979584)
  * Use per-arch pkg-config. (closes: #968411)

 -- Bastian Blank <waldi@debian.org>  Fri, 15 Jan 2021 20:08:29 +0100

lvm2 (2.03.10-1) unstable; urgency=medium

  * New upstream release.
  * Auto-generate slightly more strict and correct dependencies.
    - Also fixes the broken dmsetup dependency. (closes: #928700)
  * Add raid modules to initramfs by default. (closes: #868268)

 -- Bastian Blank <waldi@debian.org>  Sun, 15 Nov 2020 18:28:02 +0100

lvm2 (2.03.09-3) unstable; urgency=medium

  * Make lvm2-dbusd package arch-all. (closes: #908908)
  * Fix blk-availability.service. (closes: #966816)

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 13 Aug 2020 16:40:23 +0200

lvm2 (2.03.09-2) unstable; urgency=medium

  * Use debhelper compat 13.
  * Consider using /usr the default case. (closes: #929437)
  * Enable hardening.
  * Properly declare modified dm-event api.
  * Do not require root for building.

 -- Bastian Blank <waldi@debian.org>  Sun, 02 Aug 2020 12:09:54 +0200

lvm2 (2.03.09-1) unstable; urgency=medium

  * New upstream release.
  * Drop not longer needed breaks and conflicts.
  * Detect systemd at run-time in udev, patch by Julian Andres Klode.
    (closes: #933011)

 -- Bastian Blank <waldi@debian.org>  Sat, 25 Jul 2020 21:14:19 +0200

lvm2 (2.03.07-1ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 20:19:25 +0100

lvm2 (2.03.07-1ubuntu3) groovy; urgency=medium

  * Revert "Fix incorrect path to mountroot fail hook. LP: #1871154"
    regression is in the initramfs-tools package.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 15:02:01 +0100

lvm2 (2.03.07-1ubuntu2) groovy; urgency=medium

  * Fix incorrect path to mountroot fail hook. LP: #1871154

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 May 2020 13:11:44 +0100

lvm2 (2.03.07-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
    - debian/control: add dmsetup-udeb to libdevmapper1.02.1-udeb recommends.
    - debian/dmsetup-udeb.install: install udev rules in udebs
      (Debian #504341).
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so
      if we use LVM, we need to let it finish; otherwise we get missing LV
      symlinks.
    - Add debian/initramfs-tools/lvm2/scripts/init-premount/lvm2: failure
      hooks to help fix bad boots (Debian #468115)
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      + Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since
      we ship udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - scripts/blkdeactivate.sh.in: Refer to /usr/bin/sort, not /bin/sort
    - Fix patch of systemd-run in 69-lvm-metad.rules
    - Enable udev-sync in udeb build as it is used by partman when
      partitioning devicemapper devices.
    - Disable udev using systemd-run background jobs in udeb build as
      systemd is not available.
    - Ship correct udev rules in lvm2-udeb package.
    - Detect systemd in udev rule at runtime.
    - d/control: add thin-provisioning-tools build-dep as configure
      wants it around for some checks at build time.
    - Include raid1 in the list of modules installed by the initramfs hook
    - Detect systemd in udev rule at runtime.
  * Dropped changes, included upstream:
    - d/p/lp-1842436-*: Avoid creation of mixed-blocksize PV on LVM
      volume groups as it can cause FS corruption

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 13:21:51 -0800

lvm2 (2.03.07-1) unstable; urgency=medium

  * New upstream release.
  * Add instructions on how to handle source.
  * Build-depend on libdlmcontrol-dev.
  * Install new files.

 -- Bastian Blank <waldi@debian.org>  Tue, 07 Jan 2020 14:44:41 +0100

lvm2 (2.03.02-4) unstable; urgency=medium

  * Use new source format.

 -- Bastian Blank <waldi@debian.org>  Mon, 06 Jan 2020 17:53:00 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdevmapper1.02.1`.
